﻿.card_header {
    background: #0061aa;
    color: #fff;
}

.fnt_r_14 {
    font-size: 14px;
}

.button-group button,
.btn {
    padding: 8px 20px;
    border: none;
    border-radius: 8px;
    cursor: pointer;
    color: #fff;
    font-weight: bold;
}

.btn {
    width: 130px !important;
    height: 40px;
    font-size: 12px;
    letter-spacing: 1px;
    transition: transform 80ms ease-in;
}

.btn-info {
    background: #0061aa;
    border: #0061aa;
    width: 120px;
    height: 40px;
    color: #fff;
}

.btn-primary {
    border: 1px solid #4e4376 !important;
    background: -webkit-linear-gradient(0deg, #a1c4fd 0%, #884d80 0%, #2b5876 0%, #4e4376 100%);
}

    .btn-primary:hover {
        border: 1px solid #4e4376 !important;
        background: -webkit-linear-gradient(0deg, #a1c4fd 0%, #884d80 0%, #2b5876 0%, #4e4376 100%);
        width: 120px;
        height: 40px;
        color: #fff;
    }

.btn-clear {
    background-color: #7f3a98;
    border: 1px solid #7f3a98;
}

    .btn-clear:hover {
        background-color: #7f3a98;
        border: 1px solid #7f3a98;
    }

.btn-success {
    background-image: -webkit-linear-gradient(0deg, #a1c4fd 0%, #884d80 0%, #2b5876 0%, #4e4376 100%) !important;
}

.form-label {
    font-weight: 500;
}

.form-group,
.form-inline .form-group {
    margin-bottom: 1rem;
}

.required:after {
    content: " *";
    color: red;
}

.form-inline .form-group {
    display: flex;
    align-items: center;
}

.form-inline label {
    margin-right: 10px;
    min-width: 240px;
}

.form-inline select,
.form-inline input {
    width: 200px;
}

select {
    background: url("../assets/images/down.png");
    background-size: 6%;
    background-repeat: no-repeat;
    background-position: right;
}

.review-block {
    background: url('../../images/bg/17.jpg');
    background-position: top;
    background-size: contain;
}

input.form-control,
.form-control {
    line-height: 21px !important;
    padding: 0px 10px !important;
    margin: 0px !important;
    width: 100%;
    height: 36px !important;
}

input.checkbox {
    width: 14%;
}

.form-check.form-check-inline {
    display: flex;
    font-size: 16px;
    text-align: left;
    flex-wrap: nowrap;
    flex-direction: row;
    align-content: center;
    justify-content: center;
    align-items: center;
}

.pcoded-wrapper.container-fluid {
    background: #fff;
}

.content.clearfix {
    width: 100% !important;
    height: auto !important;
}

.col-form-label {
    font-size: 16px !important;
    font-family: system-ui;
    line-height: 21px !important;
    font-weight: 500;
}

.title-text {
    font-size: 16px !important;
}

.file-input-button {
    padding: 8px 16px;
    background-color: #4CAF50;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.file-input {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    width: 100%;
    height: 100%;
    cursor: pointer;
}

.upload-button {
    padding: 10px 20px;
    background-color: #2196F3;
    color: white;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

    .upload-button:hover,
    .file-input-button:hover {
        opacity: 0.8;
    }

.file-name {
    margin-top: 5px;
    font-size: 14px;
    color: #555;
}

.steps ul:after {
    width: 87% !important;
    top: 58px !important;
}

.form-group.row {
    padding-bottom: 0px !important;
}

h2 {
    font-size: 26px !important;
    text-transform: capitalize;
    font-weight: 700;
    font-family: system-ui;
    color: #464776;
}

.fnt_12 {
    font-size: 12px;
}

.form-check-input:checked + label {
    color: #0d6efd;
}
.aa {
    text-align: center;
    padding: 30px;
}

#kya_table table td {
    white-space: wrap !important;
}
.select-readonly {
    background-color: #e9ecef; /* Bootstrap's disabled input background */
    pointer-events: none; /* Prevents clicking */
    color: #6c757d; /* Muted text */
}
.bg-primary {
    background-color: #00b3d4!important;
}
/*fieldset.scheduler-border {
    border: 1px solid red !important;
    padding: 1.5em 1em 1em 1em !important;
    margin: 0 0 1.5em 0 !important;
    border-radius: 5px;
    position: relative;
}

legend.scheduler-border {
    font-size: 1.2rem;
    font-weight: 600;
    color: #d9534f;
    padding: 0 10px;
    margin-left: 10px;
    background: #fff;
    width: auto;
    float: none;
    display: inline-block;
}*/

/* Fieldset styling for background  */
.scheduler-border {
    border: 1px solid #743d99;
    border-radius: 12px;
    padding: 25px;
    margin-top: 25px;
    background-color: #fff5f5;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.15);
    transition: all 0.3s ease-in-out;
}

    /*mouse hover */
    .scheduler-border:hover {
        box-shadow: 0 6px 18px rgba(0, 0, 0, 0.25);
        transform: translateY(-3px);
        background-color: #ffecec;  
    }

/* Legend styling */
legend.scheduler-border {
    font-size: 1.2rem;
    font-weight: 600;
    color: #743d99 !important;
    padding: 0 10px;
    margin-left: 10px;
    background: #fff;
    width: auto;
    float: none;
    display: inline-block;
}



/* Label required star */
label.required::after {
    content: " *";
    color: red;
}
 
.tooltip-label {
    position: relative;
    display: inline-block;
    color:#000; font-weight:500;
}

.tooltip-label .fa-info-circle {
    color: #17a2b8;
    margin-left: 5px;
}

.tooltip-text {
    visibility: hidden;
    width: 300px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 6px;
    padding: 10px;
    position: absolute;
    z-index: 1;
    bottom: 125%;
    left: 50%;
    margin-left: -150px;
    opacity: 0;
    transition: opacity 0.3s;
    white-space: normal;
    max-width: 350px;
    width: 100%;
}

.tooltip-label:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
}



.table td {
    vertical-align: middle;
    word-wrap: break-word;
    text-wrap: auto !important;
}

.table-card .card-body .table > thead > tr > th {
    text-wrap: auto !important;
    vertical-align: middle;
}

.table {
    table-layout: fixed;
    width: 100%;
}

.form-control {
    width: 100%;
}


.btn-sm {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
}

.table th, .table td {
    vertical-align: middle;
}


/*//For Loader only css*/

#loaderOverlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255,255,255,0.8);
    z-index: 9999;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.loader-wrapper {
    text-align: center;
}

.loader-img {
    width: 120px;
    height: 120px;
    animation: spin 2s linear infinite;
}

.loader-text {
    margin-top: 15px;
    font-size: 18px;
    font-weight: bold;
    color: #333;
    font-family: Arial, sans-serif;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
.blink-hand {
    display: inline-block;
    animation: blink 1s infinite;
    color: red; /* Aap color change kar sakte ho */
}

@keyframes blink {
    0%, 50%, 100% {
        opacity: 1;
    }

    25%, 75% {
        opacity: 0;
    }
}

.blink-text {
    color: green;
    font-weight: bold;
    margin-left: 10px;
    animation: blinker 1s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

/*IT form*/
.text-center {
    text-align: center;
    color: #333;
}

#first, #second, #third, #fourth {
    margin: 0px;
    display: none;
}

#first {
    display: block;
}
/* Show first step initially */
#step {
    height: 70px;
    width: 100%;
    position: relative;
}

#IT_Form .step-item {
    position: absolute;
    text-align: center;
    width: 120px;
}

#IT_Form .step-circle {
    height: 40px;
    width: 40px;
    border-radius: 100%;
    border: 3px solid #2b5876;
    background: #ebebeb;
    margin: 0 auto;
    color: #999999;
    font-size: 18px;
    font-weight: bold;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
}
/* .step-title{
         margin-top:20px;
         font-size:14px;
         font-weight:bold;
         color:#555;
         text-align: left;
         } */
/* Positions */
#IT_Form .step-item.first {
    left: -23px;
}

#IT_Form .step-item.second {
    left: 190px;
}

#IT_Form .step-item.third {
    left: 410px;
}

#IT_Form .step-item.fourth {
    left: 630px;
}
/* Progress bar styles */
#nprogress-bar::-webkit-progress-value {
    background: #30c67c;
    transition: all 0.4s ease-in-out;
}

#nprogress-bar::-webkit-progress-bar {
    background: #CCC;
}

#IT_Form .step-circle {
    position: absolute;
    top: -26px;
}

#IT_Form .border-change {
    border-color: #30c67c !important;
    background: #30c67c !important;
    color: #fff;
    transition: all 0.4s ease-in-out;
}

#IT_Form .buttons {
    margin-top: 20px;
}

#IT_Form button {
    background: #049dfe;
    border: none;
    color: white;
    padding: 10px 20px;
    margin: 5px;
    border-radius: 5px;
    cursor: pointer;
}

    #IT_Form button:disabled {
        background: #999;
        cursor: not-allowed;
    }



#IT_Form .cont {
    display: flex;
    flex-direction: column;
    align-items: center;
}

#nprogress-bar {
    -webkit-appearance: none;
    appearance: none;
    width: 660px;
    height: 6px;
    margin-bottom: 30px;
    position: relative;
    top: 28px;
    left: 10px;
}

#step {
    display: flex;
    justify-content: space-between;
    width: 600px;
}

#IT_Form .step-item {
    text-align: center;
    flex: 1;
}

#IT_Form .step-circle {
    width: 40px;
    height: 40px;
    border: 2px solid #3f729b;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: bold;
    margin: 0 auto;
}

#IT_Form .border-change {
    background: #2ecc71;
    color: #fff;
    border: none;
}

#IT_Form .step-title {
    margin-top: 18px;
    font-size: 11px;
    line-height: 13px;
    text-align: justify;
}

#IT_Form .step_progressbar {
    background: #fff;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center; /* Centers horizontally */
    align-items: center; /* Centers vertically */
    height: 100vh; /* Full screen height */
}

#IT_Form .bdr_15 {
    border-radius: 15px;
}

.blue {
    border: 1px solid #0b3866 !important;
    padding: 10px;
    height: 40px;
    border: 2px solid #0b3866 !important;
}

.icon {
    color: #0b3866 !important;
    font-size: 20px;
}

.blue:hover {
    background: #0b3866 !important;
}

    .blue:hover i {
        color: #fff !important;
    }
.amount-in-words {
    font-weight: 600;
    font-size: 0.95rem;
    display: block;
    margin-top: 2px;
}



td.text-center {
    text-wrap: auto !important;
}



.btn:focus {
    padding: 0px !important;
    border: 1px dotted #0a7186 !important;
}

